import asyncio
import logging

logger = logging.getLogger(__name__)


async def ip_ping(host: str) -> bool:
    logger.debug(f'Pinging {host}...')
    process = await asyncio.create_subprocess_exec('ping', '-w', '3', '-c', '1', host, stdout=asyncio.subprocess.DEVNULL, stderr=asyncio.subprocess.DEVNULL)
    return_code = await process.wait()
    logger.debug(f'Finished pinging {host}')
    return return_code == 0

async def ip_ping_all(*hosts: str) -> list[bool]:
    return await asyncio.gather(*[ip_ping(host) for host in hosts])

async def tcp_ping(host: str, port: int) -> bool:
    ...

